Bug 28339 - Elasticsearch - Add 8XX to default title-series index mappings (MARC21)
Summary: Elasticsearch - Add 8XX to default title-series index mappings (MARC21)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-12 21:05 UTC by Caroline Cyr La Rose
Modified: 2021-12-13 21:14 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement adds the 8XX (800$t, 810$t, 811$t, and 830$a) subfields to the default title-series index mappings for Elasticsearch. Currently for MARC21 only 440$a and 490$a are included.
Version(s) released in:
21.11.00


Attachments
Bug 28339: Elasticsearch - Add 8XX to default title-series index mappings (MARC21) (1.29 KB, patch)
2021-05-18 19:56 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 28339: Elasticsearch - Add 8XX to default title-series index mappings (MARC21) (1.34 KB, patch)
2021-08-06 10:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 28339: Elasticsearch - Add 8XX to default title-series index mappings (MARC21) (1.77 KB, patch)
2021-08-10 11:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-05-12 21:05:52 UTC
Right now, the default mappings for title-series in MARC21 only include 440$a and 490$a.

I propose we add 8XX (800$t, 810$t, 811$t, 830$a) which are series added entries.

I don't think it is good practice to have a record with only a 8XX and no 490, but I've seen it happen enough that it has been a problem in our searches.
Comment 1 Caroline Cyr La Rose 2021-05-18 19:56:18 UTC
Created attachment 121125 [details] [review]
Bug 28339: Elasticsearch - Add 8XX to default title-series index mappings (MARC21)

This patch adds series added entries titles (800 $t, 810 $t, 811 $t, and 830 $a) in the 
default title-series index mappings.

To test:

1) Apply patch
2) Reindex using rebuildelasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration and click "Reset mappings" and confirm
2b) Then reindex 

3) Search for a series title found only in and added entry field

https://bugs.koha-community.org/show_bug.cgi?id=23853
Comment 2 David Nind 2021-08-06 10:48:47 UTC
Created attachment 123566 [details] [review]
Bug 28339: Elasticsearch - Add 8XX to default title-series index mappings (MARC21)

https://bugs.koha-community.org/show_bug.cgi?id=23853

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-08-06 10:50:00 UTC
Something has gone a bit weird with the patch bug text!
Comment 4 Katrin Fischer 2021-08-10 11:46:20 UTC
Created attachment 123677 [details] [review]
Bug 28339: Elasticsearch - Add 8XX to default title-series index mappings (MARC21)

This patch adds series added entries titles (800 $t, 810 $t, 811 $t, and 830 $a) in the
default title-series index mappings.

To test:

1) Apply patch
2) Reindex using rebuildelasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration and click "Reset mappings" and confirm
2b) Then reindex

3) Search for a series title found only in and added entry field

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-16 10:04:39 UTC
Pushed to master for 21.11, thanks to everybody involved!